HEAD(1)

BEZEICHNUNG
head - den ersten Teil von Dateien ausgeben

ÜBERSICHT
head [OPTION]… [DATEI]…

BESCHREIBUNG

Die ersten 10 Zeilen jeder DATEI auf der Standardausgabe ausgeben. Bei mehr als einer DATEI jeweils eine Kopfzeile mit dem Dateinamen ausgeben.

liest ohne DATEI oder wenn DATEI - ist, aus der Standardeingabe.

Die zwingend erforderlichen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-c, --bytes=[-]K
    Die ersten K Byte jeder Datei ausgeben. Falls das »-« davor steht, alle außer den letzten K Byte jeder Datei ausgeben.

-n, --lines=[-]K
    Die ersten K Zeilen statt der ersten 10 ausgeben. Falls das »-« davor steht, alle außer den letzten K Zeilen jeder Datei ausgeben.

-q, --quiet, --silent
    Keine Kopfzeilen mit den Dateinamen ausgeben

-v, --verbose
    Immer Kopfzeilen mit den Dateinamen ausgeben

-z, --zero-terminated
    Zeilen mit Nullbyte (NUL) trennen, nicht mit Zeilenumbruch

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

K kann folgende multiplikative Endungen tragen: b 512, kB 1000, K 1024, MB 1000*1000, M 1024*1024, GB 1000*1000*1000, G 1024*1024*1024, und so weiter für T, P, E, Z, Y, R, Q. Es können auch binäre Präfixe verwendet werden: KiB=K, MiB=M und so weiter.

AUTOR
Geschrieben von David MacKenzie und Jim Meyering.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Programmübersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

SIEHE AUCH
tail(1)

Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/head>
oder lokal verfügbar mit: info '(coreutils) head invocation'

Paketiert durch Debian (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Lizenz GPLv3+: GNU GPL Version 3 oder neuer <https://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben.
Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.